@echo off
rem
rem                                LOOKUP.BAT
rem                                    by
rem                                Bill Belew
rem                       Computer Systems Consultant
rem
rem                            321 Alta Avenue
rem                            Ashland, OR  97520
rem                            (503) 488-2518
rem
if "%1"=="" goto help
for %%p in (a b c d e f g h i j k l m n o p q r s t u v w x y z front) do if %1==%%p goto unzip
goto help
:unzip
rem
rem You can replace the C following the equal sign in the "SET"  command below
rem with the letter of the drive to which you want dictionary files unzipped.
rem
set drive=c
rem
rem If your dictionary files are not in C:\AHD, you MUST replace C:\AHD\ in
rem the following command with the correct drive and path.
rem
pkunzip c:\ahd\%1 %drive%:\ >nul
if exist %drive%:\%1.ahd goto lookup
echo error!  Dictionary file not extracted.
echo Make sure drive %drive% has enough available space or that the PKUNZIP
echo command in %0.bat is using the correct drive and path for your dictionary
echo files.
goto end
:lookup
cls
vload list
if not "%3"=="" goto find2
if not "%2"=="" goto find1
list %drive%:\%1.ahd
goto cleanup
:find1
list %drive%:\%1.ahd /f%2
goto cleanup
:find2
list %drive%:\%1.ahd /f%2 %3
:cleanup
del %drive%:\%1.ahd
set drive=
vload autoload
goto end
:help
cls
echo           *** How to use %0.bat ***
echo 
echo 
echo This batch file does a look-up in the American Heritage Dictionary.
echo It accepts 1, 2, or 3 parameters.  The first parameter must be a letter
echo from A to Z or the word FRONT, which tells the batch file to "unzip" that
echo part of the dictionary.  The second and third parameters are optional.  If
echo they are omitted, the batch file will use the LIST program to display the
echo specified section of the dictionary starting at the beginning of the file.
echo 
echo The second and third parameters are strings of characters that will be
echo searched for using the "/F" parameter of the LIST command.  If only
echo the second parameter and not the third is specified, the first occurance
echo of that string will be found, whereever it occurs in the specified file.
echo.
echo If you want to limit the search to only finding a word where it is defined,
echo use the second parameter to enter the character or string that is used
echo to mark the beginning of a definition and the third parameter to enter
echo the word that you want to find.  CBFB originally used the string "<REF>"
echo to mark the beginning of definitions.  Unfortunately, LIST can not search
echo for that string because of the special meaning of the less than and
echo greater than signs to DOS.
echo 
echo The line containing the first occurance of the string or strings
echo will be highlighted as the "found line", which defaults to line 9 of the
echo screen in the LIST program.
echo Once you have finished reading the dictionary, you can use ALT-X or X or
echo ESCAPE or F10 to exit LIST and return to DOS.
echo 
echo Read the file "LOOKUP.DOC" for details on modifying this batch file to
echo fit your particular configuration.  LOOKUP.DOC also contains information
echo on changing the string that marks the beginning of definitions in the
echo dictionary and hints on ways to use LIST once you are in the dictionary.
:end
 
 
